> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.sizetype.md).

# SizeType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how an element a UI element should be sized relative to the parent container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum SizeType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum SizeType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                              |
| ------------ | ------------------------------------------------------------------------ |
| **Absolute** | The element should be sized to an exact number of pixels.                |
| **AutoSize** | The element should be automatically sized to share space with its peers. |
| **Percent**  | The element should be sized as a percentage of the parent container.     |

## Used By

| Name                                                                                                           | Description                                                                                             |
| -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [LabelWrapper.SizeType](/api/wisej.web/editors/wisej.web.labelwrapper.md#sizetype)                             | Returns or sets how to determine the size of the label.                                                 |
| [TableLayoutStyle.SizeType](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstyle.md#sizetype) | Returns or sets a flag indicating how a row or column should be sized relative to its containing table. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.sizetype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
